Skip to main content
GET
/
v1
/
loads
/
approval
Retrieve Loads for the current Company for approval
curl --request GET \
  --url https://api.tread-horizon.com/v1/loads/approval \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "load_id": "<string>",
      "ordinality": 123,
      "quantity": "<string>",
      "state": "created",
      "foremen": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "discarded_at": "2023-11-07T05:31:56Z",
          "email": "<string>",
          "phone": "<string>",
          "external_id": "<string>",
          "schedule_on": true
        }
      ],
      "unit_of_measure": "Load",
      "job": {
        "job_id": "<string>",
        "loads_count": 123,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "material": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "external_id": "<string>"
        }
      },
      "ticket": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "image_url": "<string>",
        "ticket_number": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[job][datagrid]
string

Search string for datagrid queries

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

Response

OK

data
Load-Approval-Read · object[]
required